Bug 472170 - (perl-Check-ISA) Review Request: perl-Check-ISA - DWIM, correct checking of an object's class
Review Request: perl-Check-ISA - DWIM, correct checking of an object's class
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Check-ISA
:
Depends On: perl-asa
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 00:31 EST by Chris Weyl
Modified: 2008-11-25 14:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-25 14:08:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-11-19 00:31:29 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Check-ISA.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Check-ISA-0.04-1.fc9.src.rpm

Description:
This module provides several functions to assist in testing whether a value
is an object, and if so, ask about its class.
Comment 1 Chris Weyl 2008-11-19 00:33:06 EST
This package is a dependency of App::Asciio.
Comment 2 Chris Weyl 2008-11-24 00:00:21 EST
Koji scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=947316
Comment 3 Parag AN(पराग) 2008-11-24 00:16:16 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=947323
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
7d118aadd4069b4287f309482776a2bd  Check-ISA-0.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=3, Tests=83,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.31 cusr  0.02 csys =  0.36 CPU)

+ Package perl-Check-ISA-0.04-1.fc11 =>
  Provides: perl(Check::ISA) = 0.04
  Requires: perl(Scalar::Util) perl(Sub::Exporter) perl(constant) perl(strict) perl(warnings) perl(warnings::register)

APRPOVED.
Comment 4 Chris Weyl 2008-11-24 03:08:41 EST
New Package CVS Request
=======================
Package Name: perl-Check-ISA
Short Description: DWIM, correct checking of an object's class
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 5 Dennis Gilmore 2008-11-25 11:42:09 EST
CVS Done

Note You need to log in before you can comment on or make changes to this bug.